package com.ruoyi.system.service.impl;

import com.ruoyi.common.core.domain.entity.ActivityInfo;
import com.ruoyi.system.mapper.ActivityInfoMapper;
import com.ruoyi.system.service.IActivityInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-07-20
 */
@Service
public class ActivityInfoServiceImpl implements IActivityInfoService 
{
    @Autowired
    private ActivityInfoMapper activityInfoMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public ActivityInfo selectActivityInfoById(String id)
    {
        return activityInfoMapper.selectActivityInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param activityInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<ActivityInfo> selectActivityInfoList(ActivityInfo activityInfo)
    {
        return activityInfoMapper.selectActivityInfoList(activityInfo);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param activityInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertActivityInfo(ActivityInfo activityInfo)
    {
        return activityInfoMapper.insertActivityInfo(activityInfo);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param activityInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateActivityInfo(ActivityInfo activityInfo)
    {
        return activityInfoMapper.updateActivityInfo(activityInfo);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteActivityInfoByIds(String[] ids)
    {
        return activityInfoMapper.deleteActivityInfoByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteActivityInfoById(String id)
    {
        return activityInfoMapper.deleteActivityInfoById(id);
    }
}
